Skip to main content
`Ctrl`+`K`

# miml.transformation.mimlTOml.arithmetic.ArithmeticTransformation

class miml.transformation.mimlTOml.arithmetic.ArithmeticTransformation

  Class that performs an arithmetic transformation to convert a MIMLDataset class to numpy ndarray.

  __init__()

  Methods

  `__init__`() |
  `transform_bag`(bag) | Transform a bag to a multilabel instance
  `transform_dataset`(dataset) | Transform the dataset to multilabel dataset converting each bag into a single instance being the value of each attribute the mean value of the instances in the bag.